//
//  Домашняя метеостанция 
//  BME280
//  OLED-дисплеq 0.96"
//  
//  maker-plus.ru
//

#include <Wire.h>
#include <SPI.h>
// подключение библиотек для BME280
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>
// подключение библиотек для дисплея
#include <OLED_I2C.h> 


#define SEALEVELPRESSURE_HPA (1013.25)

Adafruit_BME280 bme; // BME280 на I2C
OLED  display(SDA, SCL, 8); // 
extern uint8_t SmallFont[]; //  шрифт

unsigned long millist;
String str1="";

void setup() {
    Serial.begin(9600);
    // 
    if (!bme.begin()) {
        Serial.println("Could not find a valid BME280 sensor, check wiring!");
        while (1);
    }
    display.begin();
    display.setFont(SmallFont);
}


void loop() { 
   //  прошло 5 секунд?
   if(millis()-millist>=5000) {
      // Стираем все с экрана
      display.clrScr(); 
      // температура
      str1="Temp=";
      str1=str1+String(bme.readTemperature());
      str1=str1+" *C";
      display.print(str1, CENTER, 10);
      // влажность
      str1="Hum=";
      str1=str1+String(bme.readHumidity());
      str1=str1+" %";
      display.print(str1, CENTER, 25);
      // давление
      str1="P=";
      str1=str1+String(bme.readPressure() / 100.0F);
      str1=str1+" hPa";
      display.print(str1, CENTER, 40);
      // Обновляем информацию на дисплее
      display.update();
      // новый отсчет 5 секунд
      millist=millis(); 
   }
}


